diff --git a/test_plans/loopback_virtio_user_server_mode_test_plan.rst b/test_plans/loopback_virtio_user_server_mode_test_plan.rst
index 092eb5e8..2e0767b1 100644
--- a/test_plans/loopback_virtio_user_server_mode_test_plan.rst
+++ b/test_plans/loopback_virtio_user_server_mode_test_plan.rst
@@ -38,8 +38,6 @@ Virtio-user server mode is a feature to enable virtio-user as the server, vhost
 virtio-user can reconnect back to vhost-user again; at another hand, virtio-user also can reconnect back to vhost-user after virtio-user is killed.
 This feature test need cover different rx/tx paths with virtio 1.0 and virtio 1.1, includes split ring mergeable, non-mergeable, inorder mergeable,
 inorder non-mergeable, vector_rx path and packed ring mergeable, non-mergeable, inorder non-mergeable, inorder mergeable, vectorized path.
-Split ring and packed ring test when vhost enqueue operation with multi-CBDMA channels. When DMA devices are bound to vfio driver,
-VA mode is the default and recommended. For PA mode, page by page mapping may exceed IOMMU's max capability, better to use 1G guest hugepage.
 
 Test Case 1: Basic test for packed ring server mode
 ===================================================
@@ -998,203 +996,3 @@ Test Case 14: loopback split ring all path payload check test using server mode
      testpmd>start
 
 17. Rerun step 10-13.
-
-Test Case 15: loopback packed ring all path cbdma test payload check with server mode and multi-queues
-======================================================================================================
-
-1. bind 8 cbdma port to vfio-pci and launch vhost::
-
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 32-33 -n 4 \
-    --vdev 'eth_vhost0,iface=vhost-net0,queues=8,client=1,dmas=[txq0@0000:80:04.0;txq1@0000:80:04.1;txq2@0000:80:04.2;txq3@0000:80:04.3;txq4@0000:80:04.4;txq5@0000:80:04.5;txq6@0000:80:04.6;txq7@0000:80:04.7]' \
-    --iova=va -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
-
-2. Launch virtio-user with packed ring mergeable inorder path::
-
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
-    --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=1,packed_vq=1,server=1
-    -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
-     testpmd>set fwd csum
-     testpmd>start
-
-3. Attach pdump secondary process to primary process by same file-prefix::
-
-   ./x86_64-native-linuxapp-gcc/app/dpdk-pdump -v --file-prefix=virtio-user0 -- --pdump 'device_id=net_virtio_user0,queue=*,rx-dev=./pdump-virtio-rx.pcap,mbuf-size=8000'
-
-4. Send large pkts from vhost, check loopback performance can get expected and each queue can receive packets::
-
-    testpmd> vhost enable tx all
-    testpmd> set fwd csum
-    testpmd> set txpkts 64,64,64,2000,2000,2000
-    testpmd> set burst 1
-    testpmd> start tx_first 1
-    testpmd> stop
-
-5. Quit pdump, check all the packets length are 6192 Byte in the pcap file, and the payload in receive packets are same.
-
-6. Quit and relaunch vhost and rerun step3-5.
-
-7. Quit and relaunch virtio with packed ring mergeable path as below::
-
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
-    --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=0,packed_vq=1,server=1 \
-    -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
-    testpmd>set fwd csum
-    testpmd>start
-
-8. Rerun steps 3-6.
-
-9. Quit and relaunch virtio with packed ring non-mergeable path as below::
-
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
-    --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=0,packed_vq=1,server=1 \
-    -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
-     testpmd>set fwd csum
-     testpmd>start
-
-10. Rerun step 3.
-
-11. Send pkts from vhost::
-
-     testpmd> vhost enable tx all
-     testpmd> set fwd csum
-     testpmd> set txpkts 64,128,256,512
-     testpmd> set burst 1
-     testpmd> start tx_first 1
-     testpmd> stop
-
-12. Quit pdump, check all the packets length are 960 Byte in the pcap file and the payload in receive packets are same.
-
-13. Quit and relaunch vhost and rerun step 10-12.
-
-14. Quit and relaunch virtio with packed ring inorder non-mergeable path as below::
-
-     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
-     --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=1,packed_vq=1,server=1 \
-     -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
-     testpmd>set fwd csum
-     testpmd>start
-
-15. Rerun step 10-13.
-
-16. Quit and relaunch virtio with packed ring vectorized path as below::
-
-     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci --force-max-simd-bitwidth=512 \
-     --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=1,packed_vq=1,vectorized=1,server=1 \
-     -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
-     testpmd>set fwd csum
-     testpmd>start
-
-17. Rerun step 10-13.
-
-18. Quit and relaunch virtio with packed ring vectorized path and ring size is not power of 2 as below::
-
-     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci --force-max-simd-bitwidth=512 \
-     --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=1,packed_vq=1,vectorized=1,queue_size=1025,server=1 \
-     -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1025 --rxd=1025
-     testpmd>set fwd csum
-     testpmd>start
-
-19. Rerun step 10-13.
-
-20. Quit and relaunch vhost w/ iova=pa::
-
-     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 2-3 --file-prefix=vhost -n 4 \
-     --vdev 'eth_vhost0,iface=vhost-net0,queues=8,client=1,dmas=[txq0@0000:00:04.0;txq1@0000:00:04.1;txq2@0000:00:04.2;txq3@0000:00:04.3;txq4@0000:00:04.4;txq5@0000:00:04.5;txq6@0000:00:04.6;txq7@0000:00:04.7]' \
-     --iova=pa -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
-
-21. Quit virtio and rerun steps 2-19.
-
-Test Case 16: loopback split ring all path cbdma test payload check with server mode and multi-queues
-=====================================================================================================
-
-1. bind 8 cbdma port to vfio-pci and launch vhost::
-
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 32-33 -n 4 \
-    --vdev 'eth_vhost0,iface=vhost-net0,queues=8,client=1,dmas=[txq0@0000:80:04.0;txq1@0000:80:04.1;txq2@0000:80:04.2;txq3@0000:80:04.3;txq4@0000:80:04.4;txq5@0000:80:04.5;txq6@0000:80:04.6;txq7@0000:80:04.7]' \
-    --iova=va -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
-
-2. Launch virtio-user with split ring mergeable inorder path::
-
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
-    --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=1,server=1 \
-    -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
-     testpmd>set fwd csum
-     testpmd>start
-
-3. Attach pdump secondary process to primary process by same file-prefix::
-
-   ./x86_64-native-linuxapp-gcc/app/dpdk-pdump -v --file-prefix=virtio-user0 -- --pdump 'device_id=net_virtio_user0,queue=*,rx-dev=./pdump-virtio-rx.pcap,mbuf-size=8000'
-
-4. Send large pkts from vhost::
-
-    testpmd> vhost enable tx all
-    testpmd> set fwd csum
-    testpmd> set txpkts 64,64,64,2000,2000,2000
-    testpmd> set burst 1
-    testpmd> start tx_first 1
-    testpmd> stop
-
-5. Quit pdump, check all the packets length are 6192 Byte in the pcap file and the payload in receive packets are same.
-
-6. Quit and relaunch vhost and rerun step3-5.
-
-7. Quit and relaunch virtio with split ring mergeable path as below::
-
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
-    --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=1,in_order=0,server=1 \
-    -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
-    testpmd>set fwd csum
-    testpmd>start
-
-8. Rerun steps 3-6.
-
-9. Quit and relaunch virtio with split ring non-mergeable path as below::
-
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
-    --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=0,server=1 \
-    -- -i --enable-hw-vlan-strip --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
-    testpmd>set fwd csum
-    testpmd>start
-
-10. Rerun step 3.
-
-11. Send pkts from vhost::
-
-     testpmd> vhost enable tx all
-     testpmd> set fwd csum
-     testpmd> set txpkts 64,128,256,512
-     testpmd> set burst 1
-     testpmd> start tx_first 1
-     testpmd> stop
-
-12. Quit pdump, check all the packets length are 960 Byte in the pcap file and the payload in receive packets are same.
-
-13. Quit and relaunch vhost and rerun step 10-12.
-
-14. Quit and relaunch virtio with split ring inorder non-mergeable path as below::
-
-     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
-     --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=1,server=1 \
-     -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
-     testpmd>set fwd csum
-     testpmd>start
-
-15. Rerun step 10-13.
-
-16. Quit and relaunch virtio with split ring vectorized path as below::
-
-     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 30,31 -n 4 --file-prefix=virtio-user0 --no-pci \
-     --vdev=net_virtio_user0,mac=00:11:22:33:44:10,path=./vhost-net0,queues=8,mrg_rxbuf=0,in_order=0,vectorized=1,server=1 \
-     -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
-     testpmd>set fwd csum
-     testpmd>start
-
-17. Rerun step 10-13.
-
-18. Quit and relaunch vhost w/ iova=pa::
-
-     ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 2-3 --file-prefix=vhost -n 4 \
-     --vdev 'eth_vhost0,iface=vhost-net0,queues=8,client=1,dmas=[txq0@0000:00:04.0;txq1@0000:00:04.1;txq2@0000:00:04.2;txq3@0000:00:04.3;txq4@0000:00:04.4;txq5@0000:00:04.5;txq6@0000:00:04.6;txq7@0000:00:04.7]' \
-     --iova=pa -- -i --nb-cores=1 --rxq=8 --txq=8 --txd=1024 --rxd=1024
-
-19. Quit virtio and rerun steps 2-17.