diff --git a/test_plans/ice_dcf_acl_filter_test_plan.rst b/test_plans/ice_dcf_acl_filter_test_plan.rst
index 1f92d659..00451ec5 100644
--- a/test_plans/ice_dcf_acl_filter_test_plan.rst
+++ b/test_plans/ice_dcf_acl_filter_test_plan.rst
@@ -141,7 +141,6 @@ Subcase 1: src mac(only 2ports NIC support)
 2. matched packets::
 
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.2")/Raw(load='X'*30)], iface="enp134s0f1")
-    sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.2", frag=1)/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="01:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.2")/UDP()/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="02:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.2")/TCP()/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="ff:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.2")/SCTP()/Raw(load='X'*30)], iface="enp134s0f1")
@@ -150,7 +149,6 @@ Subcase 1: src mac(only 2ports NIC support)
 3. unmatched packets::
 
     sendp([Ether(src="00:11:22:33:66:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.2")/Raw(load='X'*30)], iface="enp134s0f1")
-    sendp([Ether(src="00:11:22:33:44:66", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.2", frag=1)/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:66:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.2")/UDP()/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:66", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.2")/TCP()/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:32:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.2")/SCTP()/Raw(load='X'*30)], iface="enp134s0f1")
@@ -193,7 +191,6 @@ Subcase 3: src ipv4
 2. matched packets::
 
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.0", dst="192.168.0.2")/Raw(load='X'*30)], iface="enp134s0f1")
-    sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.2",frag=1)/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.158", dst="192.168.0.2")/UDP()/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.255", dst="192.168.0.2")/TCP()/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.255", dst="192.168.0.2")/SCTP()/Raw(load='X'*30)], iface="enp134s0f1")
@@ -202,7 +199,6 @@ Subcase 3: src ipv4
 3. unmatched packets::
 
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.1.1", dst="192.168.0.2")/Raw(load='X'*30)], iface="enp134s0f1")
-    sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.1.1", dst="192.168.0.2",frag=1)/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.1.1", dst="192.168.0.2")/UDP()/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.1.1", dst="192.168.0.2")/TCP()/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.1.1", dst="192.168.0.2")/SCTP()/Raw(load='X'*30)], iface="enp134s0f1")
@@ -217,7 +213,6 @@ Subcase 4: dst ipv4
 2. matched packets::
 
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.0")/Raw(load='X'*30)], iface="enp134s0f1")
-    sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.0",frag=1)/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.158")/UDP()/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.255")/TCP()/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.255")/SCTP()/Raw(load='X'*30)], iface="enp134s0f1")
@@ -226,7 +221,6 @@ Subcase 4: dst ipv4
 3. unmatched packets::
 
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.1.2")/Raw(load='X'*30)], iface="enp134s0f1")
-    sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.1.2",frag=1)/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.1.2")/UDP()/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.1.2")/TCP()/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.1.2")/SCTP()/Raw(load='X'*30)], iface="enp134s0f1")
@@ -241,7 +235,6 @@ Subcase 5: src ipv4 + dst ipv4
 2. matched packets::
 
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.255", dst="192.168.0.2")/Raw(load='X'*30)], iface="enp216s0f0")
-    sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.255", dst="192.168.0.2",frag=1)/Raw(load='X'*30)], iface="enp216s0f0")
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.158", dst="192.168.255.2")/UDP()/Raw(load='X'*30)], iface="enp216s0f0")
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.0", dst="192.168.1.2")/TCP()/Raw(load='X'*30)], iface="enp216s0f0")
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.0", dst="192.168.1.2")/SCTP()/Raw(load='X'*30)], iface="enp216s0f0")
@@ -250,7 +243,6 @@ Subcase 5: src ipv4 + dst ipv4
 3. unmatched packets::
 
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.1.1", dst="192.168.0.2")/Raw(load='X'*30)], iface="enp216s0f0")
-    sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.1.1", dst="192.168.0.2",frag=1)/Raw(load='X'*30)], iface="enp216s0f0")
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.1.1", dst="192.168.0.2")/UDP()/Raw(load='X'*30)], iface="enp216s0f0")
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.3")/TCP()/Raw(load='X'*30)], iface="enp216s0f0")
     sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.3")/SCTP()/Raw(load='X'*30)], iface="enp216s0f0")
@@ -269,7 +261,6 @@ Subcase 6: src mac + dst mac + src ipv4 + dst ipv4(only 2port NIC support)
 2. matched packets::
 
     sendp([Ether(src="00:11:22:33:44:1b", dst="33:00:00:00:00:02")/IP(src="192.168.0.255", dst="192.168.0.2")/Raw(load='X'*30)], iface="enp134s0f1")
-    sendp([Ether(src="00:11:22:33:44:1b", dst="33:00:00:00:00:02")/IP(src="192.168.0.255", dst="192.168.0.2",frag=1)/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:00", dst="33:00:00:00:00:03")/IP(src="192.168.0.158", dst="192.168.255.2")/UDP()/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:ff", dst="33:00:00:00:00:02")/IP(src="192.168.0.0", dst="192.168.1.2")/TCP()/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:ff", dst="33:00:00:00:00:02")/IP(src="192.168.0.0", dst="192.168.1.2")/SCTP()/Raw(load='X'*30)], iface="enp134s0f1")
@@ -278,7 +269,6 @@ Subcase 6: src mac + dst mac + src ipv4 + dst ipv4(only 2port NIC support)
 3. unmatched packets::
 
     sendp([Ether(src="00:11:22:33:66:55", dst="33:00:00:00:00:02")/IP(src="192.168.0.1", dst="192.168.0.2")/Raw(load='X'*30)], iface="enp134s0f1")
-    sendp([Ether(src="00:11:22:33:44:55", dst="00:01:23:45:67:89")/IP(src="192.168.0.1", dst="192.168.0.2",frag=1)/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:55", dst="33:00:00:00:00:01")/IP(src="192.168.0.1", dst="192.168.0.2")/UDP()/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:55", dst="33:00:00:00:00:02")/IP(src="192.168.1.1", dst="192.168.0.2")/TCP()/Raw(load='X'*30)], iface="enp134s0f1")
     sendp([Ether(src="00:11:22:33:44:55", dst="33:00:00:00:00:02")/IP(src="192.168.0.1", dst="192.168.0.3")/SCTP()/Raw(load='X'*30)], iface="enp134s0f1")
diff --git a/tests/TestSuite_ice_dcf_acl_filter.py b/tests/TestSuite_ice_dcf_acl_filter.py
index 49fd23a0..3a1f86e4 100644
--- a/tests/TestSuite_ice_dcf_acl_filter.py
+++ b/tests/TestSuite_ice_dcf_acl_filter.py
@@ -49,8 +49,6 @@ MAC_IPV4_PAY_SRC_MAC = {
     "match": [
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.1", dst="192.168.0.2")/Raw(load="x"*30)'
         % vf1_mac,
-        'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.1", dst="192.168.0.2", frag=1)/Raw(load="x"*30)'
-        % vf1_mac,
         'Ether(src="01:11:22:33:44:55", dst="%s")/IP(src="192.168.0.1", dst="192.168.0.2")/UDP()/Raw(load="x"*30)'
         % vf1_mac,
         'Ether(src="02:11:22:33:44:55", dst="%s")/IP(src="192.168.0.1", dst="192.168.0.2")/TCP()/Raw(load="x"*30)'
@@ -63,8 +61,6 @@ MAC_IPV4_PAY_SRC_MAC = {
     "unmatch": [
         'Ether(src="00:11:22:33:66:55", dst="%s")/IP(src="192.168.0.1", dst="192.168.0.2")/Raw(load="x"*30)'
         % vf1_mac,
-        'Ether(src="00:11:22:33:44:66", dst="%s")/IP(src="192.168.0.1", dst="192.168.0.2", frag=1)/Raw(load="x"*30)'
-        % vf1_mac,
         'Ether(src="00:66:22:33:44:55", dst="%s")/IP(src="192.168.0.1", dst="192.168.0.2")/UDP()/Raw(load="x"*30)'
         % vf1_mac,
         'Ether(src="00:11:22:33:44:66", dst="%s")/IP(src="192.168.0.1", dst="192.168.0.2")/TCP()/Raw(load="x"*30)'
@@ -92,8 +88,6 @@ MAC_IPV4_PAY_SRC_IP = {
     "match": [
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.0", dst="192.168.0.2")/Raw(load="x"*30)'
         % vf1_mac,
-        'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.1", dst="192.168.0.2",frag=1)/Raw(load="x"*30)'
-        % vf1_mac,
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.158", dst="192.168.0.2")/UDP()/Raw(load="x"*30)'
         % vf1_mac,
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.255", dst="192.168.0.2")/TCP()/Raw(load="x"*30)'
@@ -106,8 +100,6 @@ MAC_IPV4_PAY_SRC_IP = {
     "unmatch": [
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.1.1", dst="192.168.0.2")/Raw(load="x"*30)'
         % vf1_mac,
-        'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.1.1", dst="192.168.0.2",frag=1)/Raw(load="x"*30)'
-        % vf1_mac,
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.1.1", dst="192.168.0.2")/UDP()/Raw(load="x"*30)'
         % vf1_mac,
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.1.1", dst="192.168.0.2")/TCP()/Raw(load="x"*30)'
@@ -123,8 +115,6 @@ MAC_IPV4_PAY_DST_IP = {
     "match": [
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.1", dst="192.168.0.0")/Raw(load="x"*30)'
         % vf1_mac,
-        'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.1", dst="192.168.0.0",frag=1)/Raw(load="x"*30)'
-        % vf1_mac,
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.1", dst="192.168.0.158")/UDP()/Raw(load="x"*30)'
         % vf1_mac,
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.1", dst="192.168.0.255")/TCP()/Raw(load="x"*30)'
@@ -137,8 +127,6 @@ MAC_IPV4_PAY_DST_IP = {
     "unmatch": [
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.1", dst="192.168.1.2")/Raw(load="x"*30)'
         % vf1_mac,
-        'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.1", dst="192.168.1.2",frag=1)/Raw(load="x"*30)'
-        % vf1_mac,
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.1", dst="192.168.1.2")/UDP()/Raw(load="x"*30)'
         % vf1_mac,
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.1", dst="192.168.1.2")/TCP()/Raw(load="x"*30)'
@@ -154,8 +142,6 @@ MAC_IPV4_PAY_SRC_DST_IP = {
     "match": [
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.255", dst="192.168.0.2")/Raw(load="x"*30)'
         % vf1_mac,
-        'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.255", dst="192.168.0.2",frag=1)/Raw(load="x"*30)'
-        % vf1_mac,
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.158", dst="192.168.255.2")/UDP()/Raw(load="x"*30)'
         % vf1_mac,
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.0", dst="192.168.1.2")/TCP()/Raw(load="x"*30)'
@@ -168,8 +154,6 @@ MAC_IPV4_PAY_SRC_DST_IP = {
     "unmatch": [
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.1.1", dst="192.168.0.2")/Raw(load="x"*30)'
         % vf1_mac,
-        'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.1.1", dst="192.168.0.2",frag=1)/Raw(load="x"*30)'
-        % vf1_mac,
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.1.1", dst="192.168.0.2")/UDP()/Raw(load="x"*30)'
         % vf1_mac,
         'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.1", dst="192.168.0.3")/TCP()/Raw(load="x"*30)'
@@ -184,7 +168,6 @@ MAC_IPV4_PAY_SRC_DST_IP = {
 MAC_IPV4_PAY_SRC_DST_MAC_SRC_DST_IP = {
     "match": [
         'Ether(src="00:11:22:33:44:1b", dst="33:00:00:00:00:02")/IP(src="192.168.0.255", dst="192.168.0.2")/Raw(load="x"*30)',
-        'Ether(src="00:11:22:33:44:1b", dst="33:00:00:00:00:02")/IP(src="192.168.0.255", dst="192.168.0.2",frag=1)/Raw(load="x"*30)',
         'Ether(src="00:11:22:33:44:00", dst="33:00:00:00:00:03")/IP(src="192.168.0.158", dst="192.168.255.2")/UDP()/Raw(load="x"*30)',
         'Ether(src="00:11:22:33:44:ff", dst="33:00:00:00:00:02")/IP(src="192.168.0.0", dst="192.168.1.2")/TCP()/Raw(load="x"*30)',
         'Ether(src="00:11:22:33:44:ff", dst="33:00:00:00:00:02")/IP(src="192.168.0.0", dst="192.168.1.2")/SCTP()/Raw(load="x"*30)',
@@ -192,8 +175,6 @@ MAC_IPV4_PAY_SRC_DST_MAC_SRC_DST_IP = {
     ],
     "unmatch": [
         'Ether(src="00:11:22:33:66:55", dst="33:00:00:00:00:02")/IP(src="192.168.0.1", dst="192.168.0.2")/Raw(load="x"*30)',
-        'Ether(src="00:11:22:33:44:55", dst="%s")/IP(src="192.168.0.1", dst="192.168.0.2",frag=1)/Raw(load="x"*30)'
-        % vf1_mac,
         'Ether(src="00:11:22:33:44:55", dst="33:00:00:00:00:01")/IP(src="192.168.0.1", dst="192.168.0.2")/UDP()/Raw(load="x"*30)',
         'Ether(src="00:11:22:33:44:55", dst="33:00:00:00:00:02")/IP(src="192.168.1.1", dst="192.168.0.2")/TCP()/Raw(load="x"*30)',
         'Ether(src="00:11:22:33:44:55", dst="33:00:00:00:00:02")/IP(src="192.168.0.1", dst="192.168.0.3")/SCTP()/Raw(load="x"*30)',